%define	emacsver	21.3
%define	limitver	1.14.7-23m
%define	e_sitedir	/usr/share/emacs/site-lisp
%define etags           /usr/lib/emacs/21.3/i586-momonga-linux/etags

Summary: a contact management utility for use with Emacsen
Name: elisp-bbdb
Version: 2.34
Release: 1m
License: GPL
Group: Applications/Editors
Source: http://bbdb.sourceforge.net/bbdb-%{version}.tar.gz
NoSource: 0
Source1: bbdb-init.el
Patch: bbdb-k.patch
URL: http://bbdb.sourceforge.net/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}
#BuildPreReq: limit-emacs >= %{limitver}
Requires: emacs

%description
The Insidious Big Brother Database (BBDB) is a contact management utility
for use with Emacs. It is tightly inegrated with several mail and news
readers, allowing it to create database entries directly from mail and
news messages. As is usual with applications for Emacs, this record
creation can be configured in many ways, ranging from a boolean create/
don't create setting to creation based on the result of a user-supplied
function.

%package -n bbdb-emacs
Group: Applications/Editors
Summary: a contact management utility for use with Emacsen
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: limit-emacs >= %{limitver}
PreReq: info

%description -n bbdb-emacs
The Insidious Big Brother Database (BBDB) is a contact management utility
for use with Emacs. It is tightly inegrated with several mail and news
readers, allowing it to create database entries directly from mail and
news messages. As is usual with applications for Emacs, this record
creation can be configured in many ways, ranging from a boolean create/
don't create setting to creation based on the result of a user-supplied
function.

%prep
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%setup -q -n bbdb-%{version}
%patch0 -p1


%build

%configure \
  ETAGS=%{etags} \
  --with-emacs=emacs

make all

%install
install -d -m 755 %{buildroot}%{_infodir}
install -d -m 755 %{buildroot}%{e_sitedir}/bbdb
install -d -m 755 %{buildroot}%{_datadir}/config-sample/%{name}

install -m 644 lisp/*.el* %{buildroot}%{e_sitedir}/bbdb
install -m 644 texinfo/bbdb.info* %{buildroot}%{_infodir}

find utils -type f | xargs chmod -x
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/config-sample/%{name}


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n bbdb-emacs
/sbin/install-info %{_infodir}/bbdb.info %{_infodir}/dir --section="Emacs" \
	--entry="* BBDB: (bbdb).		a contact management utility."

%preun -n bbdb-emacs
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/bbdb.info %{_infodir}/dir
fi

%files
%defattr(-, root, root)
%doc ChangeLog INSTALL README tex misc utils bits
%config %{_datadir}/config-sample/%{name}/bbdb-init.el

%files -n bbdb-emacs
%defattr(-, root, root)
%{_infodir}/bbdb.info*
%{e_sitedir}/bbdb

%changelog
* Sat Jun 28 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (2.34-1m)
- version up to 2.34
- delete BuildPreReq: limit-emacs
- revise Require: emacsen to Require: emacs
- use %%configure
- delete PREFIX and LISPDIR option from "make" command option
- use %%{e_sitedir} for bbdb-emacs's %%files section

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.00.06-29m)
- rebuild against emacs-21.3

* Wed Mar  5 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.00.06-28m)
- fix URL

* Mon Jan 13 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (2.00.06-27m)
- rebuild against elisp-limit-1.14.7-21m
- modify URL:

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (2.00.06-24k)
- /sbin/install-info -> info in PreReq.

* Wed Mar 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.00.06-22k)
- rebuild against emacs-21.2

* Thu Dec 6 2001 Shingo Akagaki <dora@kondara.org>
- (2.00.06-20k)
- info nigiri.. 

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (2.00.06-18k)
- No docs could be excutable :-p

* Thu Nov  1 2001 Hidetomo Machi <mcHT@kondara.org>
- (elisp-bbdb-2.00.06-16k)
- new pakcage

* Thu Nov 23 2000 Kenichi Matsubara <m@kondara.org>
- little bit bugfix specfile [%build section]

* Fri Nov 10 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- change BuildPreReq & Requires TAG

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (2.00.06-9k)
- modify specfile (License)
- dir problem
- add %post %preun and RreReq tag

* Sun Jul 23 2000 Toshiro HIKITA <toshi@sodan.org>
- Fixed source filename
- Not to include utils/*.k

* Wed Jul 12 2000 AYUHANA Tomonori <l@kondara.org>
- (2.00.06-5k)
- fix Source Package name
- add -q at %setup
- add -b at %patch
- ignore CVS directory at %install section
- change %files section (not use manifest)

* Wed Jul  5 2000 SAKA Toshihide <saka@yugen.org>
- Add the summary and the description

* Sun Jul  2 2000 SAKA Toshihide <saka@yugen.org>
- Released for GNU Emacs 20.7

* Mon Feb 28 2000 SAKA Toshihide <saka@yugen.org>
- Released for GNU Emacs 20.6.

* Sun Jan 7 2000 SAKA Toshihide <saka@yugen.org>
- First release.
